# flexidata

FlexiData is an open-source Python package designed for processing unstructured data. Currently, it supports PDF extraction with plans to expand to other file types in the future.

## Features

- **Document  Parser**: The tool is designed to parse various file types, efficiently extracting text blocks and their metadata. This enables streamlined data extraction and content manipulation across multiple document formats.

  ### Supported File Formats:
    - **PDF**: For detailed extraction of text and metadata.
    - **Images** (JPEG, PNG, BMP): Enables image data and metadata processing.
    - **EPUB**: Converts and extracts content from EPUB files.
    - **HTML**: Parses HTML content for data extraction.
    - **reStructuredText (RST)**: Handles conversion and parsing of RST files.
    - **Rich Text Format (RTF)**: Facilitates conversion and content extraction from RTF documents.
    - **DOCX**: Allows extraction from DOCX documents, providing access to structured content and metadata.

## Upcoming Features:
- **Content Chunking**: This will enable dividing text into meaningful and manageable pieces for better processing and analysis.
- **Data Embedding**: Planned to support embedding textual data into vector spaces for advanced data analysis and machine learning applications.


## Contributing

Contributions to FlexiData are welcome! If you're interested in contributing, please read our contributing guidelines.

## Development Status

FlexiData is currently in active development and we are working towards releasing our first version soon.
